QuaSAR download error jung165  2020-03-02
 

Hello, Skyline team

I have one question about downloading QuaSAR.
I am currently using Skyline 20.1.

When I try to download QuaSAR, it automatically downloads R 3.0 and continue to download QuaSAR related package.
However, the error message appealed with mentioning I need R 3.5 or higher version to download the packages.
So, I downloaded R 3.5 but, error message still appeals and it seems that those packages were still trying to be downloaded in R 3.0 folder.
May I ask your help for this issue??

I appreciate for your help

Skyline

The following packages failed to install:

bitops
reshape
gtools
ggplot2
gplots

 
 
Nick Shulman responded:  2020-03-03

I do not know the answer to this question.

Skyline external tools are .zip files. Inside of the .zip file is a folder called "tool-inf" which tells Skyline how to install the external tool.
In the QuaSAR zip file, it says that it needs R version 3.0.1.
Also, there is a file in there called "tool-inf/InstallPackages.r" which Skyline runs after installing R version 3.0.1.

When I try to install the QuaSAR external tool in Skyline, I see errors such as:

Warning: unable to access index for repository http://cran.us.r-project.org/bin/windows/contrib/3.0

   package 'bitops' is available as a source package but not as a binary

Warning message:
package 'bitops' is not available (for R version 3.0.1) 

This error comes from executing the line in "Install.Packages.r":

install.packages("bitops" , repos='http://cran.us.r-project.org')

It looks like the problem might be that the packages are no longer available from the r-project website because the version of R that QuaSAR wants to use is too old. I do not know what should be done about that if that is the case.

Maybe someone who is more of an expert on installing R could answer this. Maybe there would be some way to point to a different repository.
-- Nick

 
peter.scholl responded:  2020-06-01
Title: Fix for QuaSAR download error

Editing of two files originally provided in QuaSAR-1_32 restored proper downloading and function in Skyline.
The QuaSAR.properties file was edited to call R, 4.0.0 instead of R, 3.0.1.
The install.packages file was changed by replacing "http:" with "https:" in the call to install packages from the cran site.
The corresponding new installation package (QuaSAR-2020.0) is provided here for vetting by the Skyline support team.

Happy 12th Anniversary to Skyline on this 1st day of the ASMS Reboot.